INTERFACE
SUBROUTINE WRMODERR(CDFILE,YDSPERR,YDGPERR,kcomp)
USE PARKIND1, ONLY: JPRB, JPIM
USE GRIDPOINT_FIELDS_MIX
USE SPECTRAL_FIELDS_MOD
CHARACTER(LEN=*), INTENT(IN) :: CDFILE
TYPE(spectral_field) , INTENT(IN) :: YDSPERR
TYPE(gridpoint_field), INTENT(IN) :: YDGPERR
INTEGER(KIND=JPIM), INTENT(IN), OPTIONAL :: kcomp
END SUBROUTINE WRMODERR
END INTERFACE
